#LSA Monitor - Event Code File
#Generated by: Mathan Charles

0 = BOOT
1 = VERSION
2 = BBU_TBBU_DIRTY_CACHE_CONFIG_MISMATCH
3 = BBU_TBBU_DIRTY_CACHE_PROCESSED
4 = CFG_CLEARED
5 = CLUST_DOWN
6 = CLUST_OWNERSHIP_CHANGE
7 = CTRL_ALARM_DISABLED
8 = CTRL_ALARM_ENABLED
9 = CTRL_BGI_RATE_CHANGED
10 = CTRL_CACHE_DISCARDED
11 = CTRL_CACHE_REBOOT_CANT_RECOVER
12 = CTRL_CACHE_REBOOT_RECOVER
13 = CTRL_CACHE_VERSION_MISMATCH
14 = CTRL_CC_RATE_CHANGED
15 = CTRL_CRASH
16 = CTRL_FACTORY_DEFAULTS
17 = CTRL_FLASH_BAD_IMAGE
18 = CTRL_FLASH_ERASE_ERROR
19 = CTRL_FLASH_ERASE_TIMEOUT
20 = CTRL_FLASH_GENERAL_ERROR
21 = CTRL_FLASH_IMAGE
22 = CTRL_FLASH_OK
23 = CTRL_FLASH_PROGRAM_ERROR
24 = CTRL_FLASH_PROGRAM_TIMEOUT
25 = CTRL_FLASH_UNKNOWN_CHIP_TYPE
26 = CTRL_FLASH_UNKNOWN_CMD_SET
27 = CTRL_FLASH_VERIFY_FAILURE
28 = CTRL_FLUSH_RATE_CHANGED
29 = CTRL_HIBERNATE
30 = CTRL_LOG_CLEARED
31 = CTRL_LOG_WRAPPED
32 = CTRL_MEM_ECC_MULTI_BIT
33 = CTRL_MEM_ECC_SINGLE_BIT
34 = CTRL_NOT_ENOUGH_MEMORY
35 = CTRL_PR_DONE
36 = CTRL_PR_PAUSE
37 = CTRL_PR_RATE_CHANGED
38 = CTRL_PR_RESUME
39 = CTRL_PR_START
40 = CTRL_REBUILD_RATE_CHANGED
41 = CTRL_RECON_RATE_CHANGED
42 = CTRL_SHUTDOWN
43 = CTRL_TEST
44 = CTRL_TIME_SET
45 = CTRL_USER_ENTERED_DEBUGGER
46 = LD_BGI_ABORTED
47 = LD_BGI_CORRECTED_MEDIUM_ERROR
48 = LD_BGI_DONE
49 = LD_BGI_DONE_ERRORS
50 = LD_BGI_DOUBLE_MEDIUM_ERRORS
51 = LD_BGI_FAILED
52 = LD_BGI_PROGRESS
53 = LD_BGI_START
54 = LD_CACHE_POLICY_CHANGE
55 = OBSOLETE_1
56 = LD_CC_ABORTED
57 = LD_CC_CORRECTED_MEDIUM_ERROR
58 = LD_CC_DONE
59 = LD_CC_DONE_INCON
60 = LD_CC_DOUBLE_MEDIUM_ERRORS
61 = LD_CC_FAILED
62 = LD_CC_FAILED_UNCOR
63 = LD_CC_INCONSISTENT_PARITY
64 = LD_CC_INCONSISTENT_PARITY_LOGGING_DISABLED
65 = LD_CC_PROGRESS
66 = LD_CC_START
67 = LD_INIT_ABORTED
68 = LD_INIT_FAILED
69 = LD_INIT_PROGRESS
70 = LD_INIT_START_FAST
71 = LD_INIT_START_FULL
72 = LD_INIT_SUCCESSFUL
73 = LD_PROP_CHANGE
74 = LD_RECON_DONE
75 = LD_RECON_DONE_ERRORS
76 = LD_RECON_DOUBLE_MEDIUM_ERRORS
77 = LD_RECON_PROGRESS
78 = LD_RECON_RESUME
79 = LD_RECON_RESUME_FAILED
80 = LD_RECON_START
81 = LD_STATE_CHANGE
82 = PD_CLEAR_ABORTED
83 = PD_CLEAR_FAILED
84 = PD_CLEAR_PROGRESS
85 = PD_CLEAR_STARTED
86 = PD_CLEAR_SUCCESSFUL
87 = PD_ERR
88 = PD_FORMAT_COMPLETE
89 = PD_FORMAT_STARTED
90 = PD_HS_SMART_POLL_FAILED
91 = PD_INSERTED
92 = PD_NOT_SUPPORTED
93 = PD_PR_CORRECTED
94 = PD_PR_PROGRESS
95 = PD_PR_UNCORRECTABLE
96 = PD_PREDICTIVE_THRESHOLD_EXCEEDED
97 = PD_PUNCTURE
98 = PD_RBLD_ABORT_BY_USER
99 = PD_RBLD_DONE_LD
100 = PD_RBLD_DONE_PD
101 = PD_RBLD_FAILED_BAD_SOURCE
102 = PD_RBLD_FAILED_BAD_TARGET
103 = PD_RBLD_PROGRESS
104 = PD_RBLD_RESUME
105 = PD_RBLD_START
106 = PD_RBLD_START_AUTO
107 = PD_RBLD_STOP_BY_OWNERSHIP_LOSS
108 = PD_REASSIGN_WRITE_FAILED
109 = PD_REBUILD_MEDIUM_ERROR
110 = PD_REC_CORRECTING
111 = PD_RECOVER_MEDIUM_ERROR
112 = PD_REMOVED
113 = PD_SENSE
114 = PD_STATE_CHANGE
115 = PD_STATE_CHANGE_BY_USER
116 = PD_REDUNDANT_PATH_BROKEN
117 = PD_REDUNDANT_PATH_RESTORED
118 = PD_DEDICATED_SPARE_NO_LONGER_USEFUL
119 = SAS_TOPOLOGY_LOOP_DETECTED
120 = SAS_TOPOLOGY_UNADDRESSABLE_DEVICE
121 = SAS_TOPOLOGY_MULTIPLE_PORTS_TO_SAME_ADDR
122 = SAS_TOPOLOGY_EXPANDER_ERR
123 = SAS_TOPOLOGY_SMP_TIMEOUT
124 = SAS_TOPOLOGY_OUT_OF_ROUTE_ENTRIES
125 = SAS_TOPOLOGY_INDEX_NOT_FOUND
126 = SAS_TOPOLOGY_SMP_FUNCTION_FAILED
127 = SAS_TOPOLOGY_SMP_CRC_ERROR
128 = SAS_TOPOLOGY_MULITPLE_SUBTRACTIVE
129 = SAS_TOPOLOGY_TABLE_TO_TABLE
130 = SAS_TOPOLOGY_MULTIPLE_PATHS
131 = PD_UNUSABLE
132 = PD_SPARE_DEDICATED_CREATED
133 = PD_SPARE_DEDICATED_DISABLED
134 = PD_SPARE_DEDICATED_NOT_USEFUL_FOR_ALL_ARRAYS
135 = PD_SPARE_GLOBAL_CREATED
136 = PD_SPARE_GLOBAL_DISABLED
137 = PD_SPARE_GLOBAL_NOT_COVERING_ALL_ARRAYS
138 = LD_CREATED
139 = LD_DELETED
140 = LD_INCONSISTENT_DUE_AT_STARTUP
141 = BBU_PRESENT
142 = BBU_NOT_PRESENT
143 = BBU_NEW_BATTERY_DETECTED
144 = BBU_REPLACED
145 = BBU_TEMPERATURE_HIGH
146 = BBU_VOLTAGE_LOW
147 = BBU_CHARGING
148 = BBU_DISCHARGING
149 = BBU_TEMPERATURE_NORMAL
150 = BBU_REPLACEMENT_NEEDED_SOH_BAD
151 = BBU_RELEARN_STARTED
152 = BBU_RELEARN_IN_PROGRESS
153 = BBU_RELEARN_COMPLETE
154 = BBU_RELEARN_TIMEOUT
155 = BBU_RELEARN_PENDING
156 = BBU_RELEARN_POSTPONED
157 = BBU_RELEARN_WILL_START_IN_4_DAYS
158 = BBU_RELEARN_WILL_START_IN_2_DAYS
159 = BBU_RELEARN_WILL_START_IN_1_DAYS
160 = BBU_RELEARN_WILL_START_IN_5_HOURS
161 = BBU_BATTERY_REMOVED
162 = BBU_BATTERY_CAP_BELOW_SOH_THRESHOLD
163 = BBU_BATTERY_CAP_ABOVE_SOH_THRESHOLD
164 = ENCL_DISCOVERED_SES
165 = ENCL_DISCOVERED_SAFTE
166 = ENCL_COMMUNICATION_LOST
167 = ENCL_COMMUNICATION_RESTORED
168 = ENCL_FAN_FAILED
169 = ENCL_FAN_INSERTED
170 = ENCL_FAN_REMOVED
171 = ENCL_POWER_FAILED
172 = ENCL_POWER_INSERTED
173 = ENCL_POWER_REMOVED
174 = ENCL_SIM_FAILED
175 = ENCL_SIM_INSERTED
176 = ENCL_SIM_REMOVED
177 = ENCL_TEMPERATURE_BELOW_WARNING
178 = ENCL_TEMPERATURE_BELOW_ERROR
179 = ENCL_TEMPERATURE_ABOVE_WARNING
180 = ENCL_TEMPERATURE_ABOVE_ERROR
181 = ENCL_SHUTDOWN
182 = ENCL_MAX_PER_PORT_EXCEEDED
183 = ENCL_FIRMWARE_MISMATCH
184 = ENCL_BAD_SENSOR
185 = ENCL_BAD_PHY
186 = ENCL_UNSTABLE
187 = ENCL_HARDWARE_ERROR
188 = ENCL_NOT_RESPONDING
189 = ENCL_SAS_SATA_MIXING_DETECTED
190 = ENCL_SES_HOTPLUG_DETECTED
191 = CLUSTER_ENABLED
192 = CLUSTER_DISABLED
193 = PD_TOO_SMALL_FOR_AUTO_REBUILD
194 = BBU_GOOD
195 = BBU_BAD
196 = PD_BBM_LOG_80_PERCENT_FULL
197 = PD_BBM_LOG_FULL
198 = LD_CC_OWNERSHIP_LOSS_ABORT
199 = LD_BGI_OWNERSHIP_LOSS_ABORT
200 = BBU_BATTERY_SOH_INVALID
201 = CTRL_MEM_ECC_SINGLE_BIT_WARNING
202 = CTRL_MEM_ECC_SINGLE_BIT_CRITICAL
203 = CTRL_MEM_ECC_SINGLE_BIT_DISABLED
204 = ENCL_POWER_SUPPLY_OFF
205 = ENCL_POWER_SUPPLY_ON
206 = ENCL_POWER_SUPPLY_CABLE_REMOVED
207 = ENCL_POWER_SUPPLY_CABLE_INSERTED
208 = ENCL_FAN_RETURNED_TO_NORMAL
209 = DIAG_BBU_RETENTION_TEST_STARTED_ON_PREV_BOOT
210 = DIAG_BBU_RETENTION_PASSED
211 = DIAG_BAT_RETENTION_TEST_FAILED
212 = DIAG_NVRAM_RET_TEST_STARTED_ON_PREV_BOOT
213 = DIAG_NVRAM_RENTION_TEST_SUCCESS
214 = DIAG_NVRAM_RENTION_TEST_FAILED
215 = DIAG_SELF_CHECK_TEST_PASS
216 = DIAG_SELF_CHECK_TEST_FAIL
217 = DIAG_SELF_CHECK_DONE
218 = FOREIGN_CFG_DETECTED
219 = FOREIGN_CFG_IMPORTED
220 = FOREIGN_CFG_CLEARED
221 = NVRAM_CORRUPT
222 = NVRAM_MISMATCH
223 = SAS_WIDE_PORT_LINK_LOST
224 = SAS_WIDE_PORT_LINK_RESTORED
225 = SAS_PHY_ERROR_RATE_EXCEEDED
226 = SATA_BAD_BLOCK_REMAPED
227 = CTRL_HOTPLUG_DETECTED
228 = ENCL_TEMPERATURE_DIFFERENTIAL
229 = DIAG_DISK_TEST_CANNOT_START
230 = DIAG_TIME_NOT_SUFFICIENT
231 = PD_MARK_MISSING
232 = PD_REPLACE_MISSING
233 = ENCL_TEMPERATURE_RETURNED_TO_NORMAL
234 = ENCL_FIRMWARE_FLASH_IN_PROGRESS
235 = ENCL_FIRMWARE_DOWNLOAD_FAILED
236 = PD_NOT_CERTIFIED
237 = CTRL_CACHE_DISCARD_BY_USER
238 = CTRL_BOOT_MISSING_PDS
239 = CTRL_BOOT_LDS_WILL_GO_OFFLINE
240 = CTRL_BOOT_LDS_MISSING
241 = CTRL_BOOT_CONFIG_MISSING
242 = BBU_CHARGE_COMPLETE
243 = ENCL_FAN_SPEED_CHANGED
244 = PD_SPARE_DEDICATED_IMPORTED_AS_GLOBAL
245 = PD_NO_REBUILD_SAS_SATA_MIX_NOT_ALLOWED_IN_LD
246 = SEP_IS_BEING_REBOOTED
247 = PD_INSERTED_EXT
248 = PD_REMOVED_EXT
249 = LD_OPTIMAL
250 = LD_PARTIALLY_DEGRADED
251 = LD_DEGRADED
252 = LD_OFFLINE
253 = BBU_RELEARN_REQUESTED
254 = LD_DISABLED_NO_SUPPORT_FOR_RAID5
255 = LD_DISABLED_NO_SUPPORT_FOR_RAID6
256 = LD_DISABLED_NO_SUPPORT_FOR_SAS
257 = CTRL_BOOT_MISSING_PDS_EXT
258 = CTRL_PUNCTURE_ENABLED
259 = CTRL_PUNCTURE_DISABLED
260 = ENCL_SIM_NOT_INSTALLED
261 = PACKAGE_VERSION
262 = PD_SPARE_AFFINITY_IGNORED
263 = FOREIGN_CFG_TABLE_OVERFLOW
264 = FOREIGN_CFG_PARTIAL_IMPORT
265 = SAS_MUX_ACTIVATED_CONNECTOR
266 = CTRL_FRU
267 = PD_COMMAND_TIMEOUT
268 = PD_RESET
269 = LD_BBM_LOG_80_PERCENT_FULL
270 = LD_BBM_LOG_FULL
271 = LD_LOG_MEDIUM_ERROR
272 = LD_CORRECTED_MEDIUM_ERROR
273 = PD_BBM_LOG_100_PERCENT_FULL
274 = LD_BBM_LOG_100_PERCENT_FULL
275 = DIAG_FAULTY_IOP_DETECTED
276 = PD_COPYBACK_START
277 = PD_COPYBACK_ABORT
278 = PD_COPYBACK_DONE
279 = PD_COPYBACK_PROGRESS
280 = PD_COPYBACK_RESUME
281 = PD_COPYBACK_AUTO
282 = PD_COPYBACK_FAILED
283 = CTRL_EPOW_UNSUCCESSFUL
284 = BBU_FRU
285 = PD_FRU
286 = CTRL_HW_REVISION
287 = FOREIGN_CFG_UPGRADE_REQUIRED
288 = PD_SAS_REDUNDANT_PATH_RESTORED
289 = PD_SAS_REDUNDANT_PATH_BROKEN
290 = ENCL_REDUNDANT_ENCL_MODULE_INSERTED
291 = ENCL_REDUNDANT_ENCL_MODULE_REMOVED
292 = CTRL_PR_CANT_START
293 = PD_COPYBACK_ABORT_BY_USER
294 = PD_COPYBACK_ABORT_FOR_SPARE
295 = PD_COPYBACK_ABORT_FOR_REBUILD
296 = LD_CACHE_DISCARDED
297 = PD_TOO_SMALL_FOR_COPYBACK
298 = PD_NO_COPYBACK_SAS_SATA_MIX_NOT_ALLOWED_IN_LD
299 = PD_FW_DOWNLOAD_START
300 = PD_FW_DOWNLOAD_COMPLETE
301 = PD_FW_DOWNLOAD_TIMEOUT
302 = PD_FW_DOWNLOAD_FAILED
303 = CTRL_PROP_CHANGED
304 = CTRL_PR_PROP_CHANGED
305 = CTRL_CC_SCHEDULE_PROP_CHANGED
306 = BBU_PROP_CHANGED
307 = BBU_PERIODIC_RELEARN_PENDING
308 = CTRL_LOCK_KEY_CREATED
309 = CTRL_LOCK_KEY_BACKEDUP
310 = CTRL_LOCK_KEY_VERIFIED_ESCROW
311 = CTRL_LOCK_KEY_REKEYED
312 = CTRL_LOCK_KEY_REKEY_FAILED
313 = CTRL_LOCK_KEY_INVALID
314 = CTRL_LOCK_KEY_DESTROYED
315 = CTRL_ESCROW_KEY_INVALID
316 = LD_SECURED
317 = LD_PARTIALLY_SECURED
318 = PD_SECURED
319 = PD_UNSECURED
320 = PD_REPROVISIONED
321 = PD_LOCK_KEY_REKEYED
322 = PD_SECURITY_FAILURE
323 = LD_CACHE_PINNED
324 = CTRL_BOOT_LDS_CACHE_PINNED
325 = CTRL_LDS_CACHE_DISCARDED_BY_USER
326 = LD_CACHE_DESTAGED
327 = LD_CC_STARTED_ON_INCONSISTENT_LD
328 = CTRL_LOCK_KEY_FAILED
329 = CTRL_SECRET_KEY_INVALID
330 = BBU_REMOTE_CONNECTOR_ERROR
331 = PD_POWER_STATE_CHANGE
332 = ENCL_ELEMENT_STATUS_CHANGED
333 = PD_NO_REBUILD_HDD_SSD_MIX_NOT_ALLOWED_IN_LD
334 = PD_NO_COPYBACK_HDD_SSD_MIX_NOT_ALLOWED_IN_LD
335 = LD_BBM_LOG_CLEARED
336 = SAS_TOPOLOGY_ERROR
337 = LD_CORRECTED_CLUSTER_OF_MEDIUM_ERRORS
338 = CTRL_HOST_BUS_SCAN_REQUESTED
339 = CTRL_FACTORY_REPURPOSED
340 = CTRL_LOCK_KEY_BINDING_UPDATED
341 = CTRL_LOCK_KEY_EKM_MODE
342 = CTRL_LOCK_KEY_EKM_FAILURE
343 = PD_LOCK_KEY_REQUIRED
344 = LD_SECURE_FAILED
345 = CTRL_ONLINE_RESET
346 = LD_SNAPSHOT_ENABLED
347 = LD_SNAPSHOT_DISABLED_BY_USER
348 = LD_SNAPSHOT_DISABLED_INTERNALLY
349 = LD_SNAPSHOT_PIT_CREATED
350 = LD_SNAPSHOT_PIT_DELETED
351 = LD_SNAPSHOT_VIEW_CREATED
352 = LD_SNAPSHOT_VIEW_DELETED
353 = LD_SNAPSHOT_ROLLBACK_STARTED
354 = LD_SNAPSHOT_ROLLBACK_ABORTED
355 = LD_SNAPSHOT_ROLLBACK_COMPLETED
356 = LD_SNAPSHOT_ROLLBACK_PROGRESS
357 = LD_SNAPSHOT_REPOSITORY_80_PERCENT_FULL
358 = LD_SNAPSHOT_REPOSITORY_FULL
359 = LD_SNAPSHOT_VIEW_80_PERCENT_FULL
360 = LD_SNAPSHOT_VIEW_FULL
361 = LD_SNAPSHOT_REPOSITORY_LOST
362 = LD_SNAPSHOT_REPOSITORY_RESTORED
363 = LD_SNAPSHOT_INTERNAL_ERROR
364 = LD_SNAPSHOT_AUTO_ENABLED
365 = LD_SNAPSHOT_AUTO_DISABLED
366 = CFG_CMD_LOST
367 = PD_COD_STALE
368 = PD_POWER_STATE_CHANGE_FAILED
369 = LD_NOT_READY
370 = LD_IS_READY
371 = LD_IS_SSC
372 = LD_IS_USING_SSC
373 = LD_IS_NOT_USING_SSC
374 = LD_SNAPSHOT_FREED_RESOURCE
375 = LD_SNAPSHOT_AUTO_FAILED
376 = CTRL_RESET_EXPANDER
377 = LD_SSC_SIZE_CHANGED
378 = BBU_CANNOT_DO_TRANSPARENT_LEARN
379 = CTRL_PFK_APPLIED
380 = LD_SNAPSHOT_SCHEDULE_PROP_CHANGE
381 = LD_SNAPSHOT_SCHEDULED_ACTION_DUE
382 = CTRL_PERF_COLLECTION
383 = CTRL_PFK_TRANSFERRED
384 = CTRL_PFK_SERIALNUM
385 = CTRL_PFK_SERIALNUM_MISMATCH
386 = BBU_REPLACEMENT_NEEDED_SOH_NOT_OPTIMAL
387 = LD_POWER_STATE_CHANGE
388 = LD_POWER_STATE_MAX_UNAVAILABLE
389 = CTRL_HOST_DRIVER_LOADED
390 = LD_MIRROR_BROKEN
391 = LD_MIRROR_JOINED
392 = PD_SAS_WIDE_PORT_LINK_FAILURE
393 = PD_SAS_WIDE_PORT_LINK_RESTORED
394 = TMM_FRU
395 = BBU_REPLACEMENT_NEEDED
396 = FOREIGN_CFG_AUTO_IMPORT_NONE
397 = BBU_MICROCODE_UPDATE_REQUIRED
398 = LD_SSC_SIZE_EXCEEDED
399 = LD_PI_LOST
400 = PD_SHIELD_DIAG_PASS
401 = PD_SHIELD_DIAG_FAIL
402 = CTRL_SERVER_POWER_DIAG_STARTED
403 = PD_RBLD_DRIVE_CACHE_ENABLED
404 = PD_RBLD_DRIVE_CACHE_RESTORED
405 = PD_EMERGENCY_SPARE_COMMISSIONED
406 = PD_EMERGENCY_SPARE_COMMISSIONED_REMINDER
407 = LD_CC_SUSPENDED
408 = LD_CC_RESUMED
409 = LD_BGI_SUSPENDED
410 = LD_BGI_RESUMED
411 = LD_RECON_SUSPENDED
412 = PD_RBLD_SUSPENDED
413 = PD_COPYBACK_SUSPENDED
414 = LD_CC_SUSPENDED_REMINDER
415 = LD_BGI_SUSPENDED_REMINDER
416 = LD_RECON_SUSPENDED_REMINDER
417 = PD_RBLD_SUSPENDED_REMINDER
418 = PD_COPYBACK_SUSPENDED_REMINDER
419 = CTRL_PR_SUSPENDED_REMINDER
420 = PD_ERASE_ABORTED
421 = PD_ERASE_FAILED
422 = PD_ERASE_PROGRESS
423 = PD_ERASE_STARTED
424 = PD_ERASE_SUCCESSFUL
425 = LD_ERASE_ABORTED
426 = LD_ERASE_FAILED
427 = LD_ERASE_PROGRESS
428 = LD_ERASE_START
429 = LD_ERASE_SUCCESSFUL
430 = LD_ERASE_POTENTIAL_LEAKAGE
431 = BBU_CHARGE_DISABLED_OTC
432 = BBU_MICROCODE_UPDATED
433 = BBU_MICROCODE_UPDATE_FAILED
434 = LD_ACCESS_BLOCKED_SSC_OFFLINE
435 = LD_SSC_DISASSOCIATE_START
436 = LD_SSC_DISASSOCIATE_DONE
437 = LD_SSC_DISASSOCIATE_FAILED
438 = LD_SSC_DISASSOCIATE_PROGRESS
439 = LD_SSC_DISASSOCIATE_ABORT_BY_USER
440 = SAS_PHY_LINK_SPEED_UPDATED
441 = CTRL_PFK_DEACTIVATED
442 = LD_ACCESS_UNBLOCKED
443 = LD_IS_USING_SSC_2
444 = LD_IS_NOT_USING_SSC_2
445 = PD_PR_ABORTED
446 = PD_TRANSIENT_ERROR_DETECTED
447 = LD_PI_ERR_IN_CACHE
448 = CTRL_FLASH_IMAGE_UNSUPPORTED
449 = BBU_MODE_SET
450 = BBU_PERIODIC_RELEARN_RESCHEDULED
451 = CTRL_RESETNOW_START
452 = CTRL_RESETNOW_DONE
453 = L3_CACHE_ERROR
454 = L2_CACHE_ERROR
455 = CTRL_BOOT_HEADLESS_MODE_HAD_ERRORS
456 = CTRL_BOOT_SAFE_MODE_FOR_ERRORS
457 = CTRL_BOOT_ERROR_WARNING
458 = CTRL_BOOT_ERROR_CRITICAL
459 = CTRL_BOOT_ERROR_FATAL
460 = HA_NODE_JOIN
461 = HA_NODE_BREAK
462 = HA_PD_IS_REMOTE
463 = HA_PD_IS_LOCAL
464 = HA_LD_IS_REMOTE
465 = HA_LD_IS_LOCAL
466 = HA_LD_TARGET_ID_CONFLICT
467 = HA_LD_ACCESS_IS_SHARED
468 = HA_LD_ACCESS_IS_EXCLUSIVE
469 = HA_LD_INCOMPATIBLE
470 = HA_PEER_INCOMPATIBLE
471 = HA_HW_INCOMPATIBLE
472 = HA_CTRLPROP_INCOMPATIBLE
473 = HA_FW_VERSION_MISMATCH
474 = HA_FEATURES_MISMATCH
475 = HA_CACHE_MIRROR_ONLINE
476 = HA_CACHE_MIRROR_OFFLINE
477 = LD_ACCESS_BLOCKED_PEER_UNAVAILABLE
478 = BBU_UNSUPPORTED
479 = PD_TEMP_HIGH
480 = PD_TEMP_CRITICAL
481 = PD_TEMP_NORMAL
482 = PD_IO_THROTTLED
483 = PD_IO_NOT_THROTTLED
484 = PD_LIFE
485 = PD_LIFE_NOT_OPTIMAL
486 = PD_LIFE_CRITICAL
487 = PD_FAILURE_LOCKEDUP
488 = CTRL_HOST_DRIVER_UPDATE_NEEDED
489 = HA_POSSIBLE_PEER_COMM_LOSS
490 = CTRL_FLASH_SIGNED_COMPONENT_NOT_PRESENT
491 = CTRL_FLASH_AUTHENTICATION_FAILURE
492 = LD_SET_BOOT_DEVICE
493 = PD_SET_BOOT_DEVICE
494 = BBU_TEMPERATURE_CHANGED
495 = CTRL_TEMPERATURE_CHANGED
496 = NVCACHE_BACKUP_UNAVAILABLE
497 = NVCACHE_CONSIDER_REPLACEMENT
498 = NVCACHE_INVALID
499 = BOOT_DEVICE_INVALID
500 = HA_SSC_WB_POOL_SIZE_MISMATCH
501 = HA_SSC_NONSHARED_VD_WB_ASSOCIATION
502 = CTRL_POWER_IO_THROTTLE_START
503 = CTRL_POWER_IO_THROTTLE_STOP
504 = CTRL_TUNABLE_PARAMETERS_CHANGED
505 = CTRL_TEMP_WITHIN_OPTIMAL_RANGE
506 = CTRL_TEMP_ABOVE_OPTIMAL_RANGE
507 = HA_MODE_HA_FEATURE_SET
508 = HA_MODE_SC_FEATURE_SET
509 = NVCACHE_COMPONENT_MISMATCH
510 = CTRL_ENTER_MAINTENANCE_MODE
511 = CTRL_EXIT_MAINTENANCE_MODE
512 = HA_TOPOLOGY_MODE
513 = HA_TOPOLOGY_LD_INCOMPATIBLE
514 = HA_TOPOLOGY_PD_INCOMPATIBLE
515 = CTRL_CACHE_FLUSH_START
516 = CTRL_CACHE_FLUSH_DONE
517 = CTRL_CACHE_FLUSH_ABORT
518 = CTRL_PERSONALITY_CHANGE
519 = CFG_AUTO_CREATED
520 = CTRL_SWZONE_ENABLED
521 = CTRL_SWZONE_DISABLED
522 = LD_INIT_ABORTED_DUE_TO_RESET
523 = HA_CTRL_LOCK_KEY_MISMATCH
524 = HA_CTRL_LOCK_KEY_MATCH
525 = HA_LD_COMPATIBLE
530 = CTRL_TEMP_CRITICAL
531 = CTRL_CHASSIS_SHUTDOWN
532 = CTRL_CHASSIS_RESTART
533 = CTRL_INFO_CHANGED
534 = LD_PARTIALLY_HIDDEN
535 = PD_NOT_ENTERPRISE_SELF_ENCRYPTING_DRIVE
536 = CTRL_FORCE_FLASH
537 = LD_ACCESS_POLICY_SET_TO_RW
538 = CTRL_FLASH_TRANSIENT_ERROR
539 = CTRL_FLASH_FAILED
540 = PD_LOCATE_START
541 = PD_LOCATE_STOP
542 = PD_PR_CONFLICT_ABORT
543 = PD_DEGRADED_MEDIA
544 = PD_DEGRADED_MEDIA_POOR_PERFORMANCE
545 = BBU_SCAP_INFO
546 = CTRL_PERSONALITY_PCI_CHANGE
547 = PD_INQUIRY_INFO
548 = LD_TRANSPORT_READY
549 = LD_TRANSPORT_CLEAR
550 = CTRL_REBOOT_REQUIRED
551 = MR_EVT_NVCACHE_BLOCK_RECOVERY_SKIPPED
552 = MR_EVT_CTRL_AUTO_CFG_OPTION
553 = MR_EVT_CTRL_AUTO_CFG_PARAMETERS_CHANGED
554 = MR_EVT_LD_TRANSPORT_READY_PRESENT_REMINDER
555 = MR_EVT_CTRL_PROFILE_UPDATE_SUCCESSFUL
556 = MR_EVT_CTRL_PROFILE_AUTOSELECTED
557 = MR_EVT_CTRL_PROFILE_PHYSICAL_DEVICEID_CHANGE
558 = MR_EVT_CTRL_FRU_SAVE_STATE
559 = MR_EVT_CTRL_FRU_RESTORE_STATE
560 = MR_EVT_CTRL_FRU_DELETE_STATE
561 = MR_EVT_PD_ERROR_STATS
562 = MR_EVT_CTRL_MFC_BAD_SASADDRESS
563 = MR_EVT_SAS_TOPOLOGY_ERROR_STR
564 = MR_EVT_CTRL_NVDATA_INVALID
565 = MR_EVT_CFG_NOT_CONFIGURED
566 = MR_EVT_CFG_UNSUPPORTED
567 = MR_EVT_CTRL_FLASH_BACKUP_ROM_PGM_ERROR
568 = MR_EVT_CTRL_FLASH_CRC_ERR_BACKUP_ACTIVATED
569 = MR_EVT_PD_NOT_GENUINE
570 = MR_EVT_PD_FAILED_AT_BOOT
571 = MR_EVT_CTRL_CACHE_DATA_FOUND
572 = MR_EVT_LD_DEGRADED_WRITE_HOLE
573 = MR_EVT_CTRL_FEATURE_KEY_COMM_ERROR
574 = MR_EVT_CTRL_FLASH_IMAGE_ACTIVE
575 = MR_EVT_CTRL_FLASH_IMAGE_BACKUP
576 = MR_EVT_CTRL_DUAL_FW_VERSION_MISMATCH
577 = MR_EVT_PACKAGE_VERSION_BACKUP
578 = MR_EVT_CTRL_CACHE_RESTORE_ERROR
579 = MR_EVT_PD_LOCK_KEY_UNLOCKED_ESCROW
580 = MR_EVT_PD_TEMP_FATAL
581 = MR_EVT_CTRL_MEMORY_ERROR
582 = MR_EVT_CTRL_FW_INCOMPATIBLE_WITH_PROFILE
583 = MR_EVT_PD_ARRAY_DEVICE_SLOT_FAILED
584 = MR_EVT_ENCL_TEMPERATURE_ABOVE_CRITICAL
585 = MR_EVT_ENCL_SERVICE_CTRL_EMM_CRITICAL
586 = MR_EVT_ENCL_SERVICE_CTRL_EMM_WARNING
587 = MR_EVT_ENCL_ELEMENT_CRITICAL
588 = MR_EVT_ENCL_ELEMENT_WARNING
589 = MR_EVT_ENCL_SAS_CONNECTOR_ERROR
590 = MR_EVT_CTRL_FW_VALID_SNAPDUMP_AVAILABLE
591 = MR_EVT_CTRL_BOOT_LDS_WILL_GO_OFFLINE_EXT
592 = MR_EVT_CTRL_BOOT_LDS_MISSING_EXT
593 = MR_EVT_CTRL_LDS_CACHE_DISCARDED_AUTO
594 = MR_EVT_PD_SANITIZE_FAILED
595 = MR_EVT_PD_SANITIZE_PROGRESS
596 = MR_EVT_PD_SANITIZE_STARTED
597 = MR_EVT_PD_SANITIZE_SUCCESSFUL
598 = MR_EVT_LD_CANNOT_BE_SECURED_IN_FUTURE
599 = MR_EVT_SYSTEM_SHUTDOWN_REQUIRED
600 = MR_EVT_LD_NON_UNMAP_CAPABLE_PD_USED
601 = MR_EVT_LD_UNMAP_NOT_ENABLED
602 = MR_EVT_PD_SSD_WEAR_GAUGE_CHANGED
603 = MR_EVT_CTRL_SB_KEY_UPDATE_POWER_CYCLE
604 = MR_EVT_PD_DEDICATED_NON_UNMAP_SPARE_NO_LONGER_USEFUL
605 = MR_EVT_PD_NO_UNMAP_CAPABLE_PD_FOR_REBUILD
606 = MR_EVT_PD_NO_UNMAP_CAPABLE_PD_FOR_COPYBACK 
607 = MR_EVT_CTRL_SB_KEY_UPDATE_COMPLETE 
608 = MR_EVT_CTRL_FW_SNAPDUMP_PROPERTY_CHANGE 
609 = MR_EVT_CTRL_SB_SOFT_SECURE_MODE
610 = MR_EVT_CTRL_FLASH_DISALLOWED_SB_KEY_CHANGE_PENDING
611 = MR_EVT_NVCACHE_SLC_FORMAT_IN_PROGRESS
612 = MR_EVT_NVCACHE_SLC_FORMAT_COMPLETED
613 = MR_EVT_CTRL_FW_SNAPDUMP_CLEAR
614 = MR_EVT_CFG_CLEAR_FAILED
615 = MR_EVT_PD_PCIE_HOT_RESET_FAILED
616 = MR_EVT_PD_UNIQUE_ID_CHANGED
617 = MR_EVT_PCIE_NVME_INIT_ERROR_DETECTED
618 = MR_EVT_PCIE_NVME_REPAIR_STARTED
619 = MR_EVT_PCIE_NVME_REPAIR_COMPLETED
620 = MR_EVT_PCIE_NVME_REPAIR_FAILED
621 = MR_EVT_PCIE_NVME_REPAIR_ABORTED
622 = MR_EVT_CTRL_PSEC_CERT_SLOT_UPDATED
623 = MR_EVT_CTRL_PSEC_CERT_SLOT_INVALIDATED
624 = MR_EVT_CTRL_PSEC_CERT_SLOT_SEALED
625 = MR_EVT_CTRL_PSEC_CERT_IMPORT_FAILED
626 = MR_EVT_CTRL_PSEC_CERT_BAD
627 = MR_EVT_CTRL_PSEC_KEYPAIR_BAD
628 = MR_EVT_CTRL_LOCK_KEY_EKM_MODE_ENTERPRISE
629 = MR_EVT_CTRL_LOCK_KEY_EKM_FAILURE_ENTERPRISE
630 = MR_EVT_CTRL_WJ_THROTTLING_ENABLED
631 = MR_EVT_CTRL_WJ_THROTTLING_DISABLED
632 = MR_EVT_ENCL_CABLE_LOST
633 = MR_EVT_LD_INCOMPLETE_WRITES_POSSIBLE
634 = MR_EVT_PD_OUT_OF_ORDER_DETECTED
635 = MR_EVT_PD_MULTILUN_UNSUPPORTED
636 = MR_EVT_PD_AUTO_REBUILD_NOT_POSSIBLE_WITH_JBOD